2

I need an IDE for LEGO Mindstorms on my Mac, but I only found a few for Linux and Windows but not for Mac. I found NeXT Tools, but the newest version isn't compatible with Yosemite. If I execute it, it will throw an error, so I need some compiler for Yosemite.

Thanks

1

It is possible to use XCode. You need to download the NXC compiler (the linked page says NBC, but it included NXC as well). Then, write a Makefile that calls the NXC compiler.

If the compiler does not work on Yosemite, the source code is available from that link as well.

A detailed tutorial on using XCode with NXC can be found here.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.